<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.Node</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Node Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>

Subclasses: <a href="../khtml/DOM.Attr.html">DOM.Attr</a>, <a href="../khtml/DOM.CharacterData.html">DOM.CharacterData</a>, <a href="../khtml/DOM.Document.html">DOM.Document</a>, <a href="../khtml/DOM.DocumentFragment.html">DOM.DocumentFragment</a>, <a href="../khtml/DOM.DocumentType.html">DOM.DocumentType</a>, <a href="../khtml/DOM.Element.html">DOM.Element</a>, <a href="../khtml/DOM.Entity.html">DOM.Entity</a>, <a href="../khtml/DOM.EntityReference.html">DOM.EntityReference</a>, <a href="../khtml/DOM.Notation.html">DOM.Notation</a>, <a href="../khtml/DOM.ProcessingInstruction.html">DOM.ProcessingInstruction</a><br />
Namespace: DOM<br />
<h2>Detailed Description</h2>

<p>The Node interface is the primary datatype for the
entire Document Object Model. It represents a single node in the
document tree. While all objects implementing the Node
interface expose methods for dealing with children, not all
objects implementing the Node interface may have
children. For example, Text nodes may not have
children, and adding children to such nodes results in a
DOMException being raised.
</p>
<p>
The attributes nodeName , nodeValue
and attributes are included as a mechanism to get at
node information without casting down to the specific derived
interface. In cases where there is no obvious mapping of these
attributes for a specific nodeType (e.g.,
nodeValue for an Element or attributes for a
Comment), this returns null . Note that the
specialized interfaces may contain additional and more convenient
mechanisms to get and set the relevant information.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj197008972">NodeType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;ELEMENT_NODE, ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, ENTITY_REFERENCE_NODE, ENTITY_NODE, PROCESSING_INSTRUCTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, DOCUMENT_FRAGMENT_NODE, NOTATION_NODE&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195318060">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195319276">__init__</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197005996">__init__</a> (self, NodeImpl _impl)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184859180">addEventListener</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> type, <a href="../khtml/DOM.EventListener.html">DOM.EventListener</a> listener, bool useCapture)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195357996">appendChild</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> newChild)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196097356">applyChanges</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NamedNodeMap.html">DOM.NamedNodeMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933612">attributes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191930764">childNodes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195355148">cloneNode</a> (self, bool deep)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175461580">dispatchEvent</a> (self, <a href="../khtml/DOM.Event.html">DOM.Event</a> evt)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194602188">elementId</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191932044">firstChild</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">, int (_x), int (_y), int (height)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196098380">getCursor</a> (self, int offset, )</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181777452">getRect</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">NodeImpl&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194604748">handle</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184858924">hasAttributes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195355404">hasChildNodes</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194602764">index</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192806156">insertBefore</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> newChild, <a href="../khtml/DOM.Node.html">DOM.Node</a> refChild)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194602476">isNull</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195357644">isSupported</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> feature, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> version)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191931244">lastChild</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184859404">localName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184859596">namespaceURI</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933516">nextSibling</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197008748">nodeName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185642796">nodeType</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197007980">nodeValue</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195356460">normalize</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195319596">operator !=</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195317964">operator ==</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Document.html">DOM.Document</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933164">ownerDocument</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185642700">parentNode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184857356">prefix</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191932172">previousSibling</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192805836">removeChild</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> oldChild)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175463756">removeEventListener</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> type, <a href="../khtml/DOM.EventListener.html">DOM.EventListener</a> listener, bool useCapture)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192803116">replaceChild</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> newChild, <a href="../khtml/DOM.Node.html">DOM.Node</a> oldChild)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170932300">setNodeValue</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184858764">setPrefix</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> prefix)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194603660">setTextContent</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194604684">textContent</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196096172">toHTML</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj195318060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195319276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197005996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">NodeImpl&nbsp;</td>
<td class="paramname"><em>_impl</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj184859180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> addEventListener</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>type</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.EventListener.html">DOM.EventListener</a>&nbsp;</td>
<td class="paramname"><em>listener</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>useCapture</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
This method is from the EventTarget interface
</p>
<p>
This method allows the registration of event listeners on the event
target. If an EventListener is added to an EventTarget while it is
processing an event, it will not be triggered by the current actions but
may be triggered during a later stage of event flow, such as the
bubbling phase.
</p>
<p>
If multiple identical EventListeners are registered on the same
EventTarget with the same parameters the duplicate instances are
discarded. They do not cause the EventListener to be called twice and
since they are discarded they do not need to be removed with the
removeEventListener method. Parameters
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>type</em>&nbsp;</td><td> The event type for which the user is registering
</td></tr>

<tr><td></td><td valign="top"><em>listener</em>&nbsp;</td><td> The listener parameter takes an interface implemented by
the user which contains the methods to be called when the event occurs.
</td></tr>

<tr><td></td><td valign="top"><em>useCapture</em>&nbsp;</td><td> If true, useCapture indicates that the user wishes to
initiate capture. After initiating capture, all events of the specified
type will be dispatched to the registered EventListener before being
dispatched to any EventTargets beneath them in the tree. Events which
are bubbling upward through the tree will not trigger an EventListener
designated to use capture.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj195357996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> appendChild</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>newChild</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds the node newChild to the end of the list of
children of this node. If the newChild is
already in the tree, it is first removed.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>newChild</em>&nbsp;</td><td> The node to add.
</td></tr>
</table></dl>
<p> If it is a DocumentFragment object, the entire
contents of the document fragment are moved into the child list
of this node
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The node added.
</dd></dl> </p>
<p>
DOMException
HIERARCHY_REQUEST_ERR: Raised if this node is of a type that
does not allow children of the type of the newChild
node, or if the node to append is one of this node's
ancestors.
</p>
<p>
WRONG_DOCUMENT_ERR: Raised if newChild was
created from a different document than the one that created
this node.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p></div></div><a class="anchor" name="obj196097356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> applyChanges</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191933612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NamedNodeMap.html">DOM.NamedNodeMap</a> attributes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>A NamedNodeMap containing the attributes of this
node (if it is an Element ) or null
otherwise.
</p></div></div><a class="anchor" name="obj191930764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NodeList.html">DOM.NodeList</a> childNodes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>A NodeList that contains all children of this
node. If there are no children, this is a NodeList
containing no nodes. The content of the returned
NodeList is &amp;quot;live&amp;quot; in the sense that, for
instance, changes to the children of the node object that it
was created from are immediately reflected in the nodes
returned by the NodeList accessors; it is not a
static snapshot of the content of the node. This is true for
every NodeList , including the ones returned by
the getElementsByTagName method.
</p></div></div><a class="anchor" name="obj195355148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> cloneNode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>deep</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a duplicate of this node, i.e., serves as a generic
copy constructor for nodes. The duplicate node has no parent (
parentNode returns null .).
</p>
<p>
Cloning an Element copies all attributes and
their values, including those generated by the XML processor to
represent defaulted attributes, but this method does not copy
any text it contains unless it is a deep clone, since the text
is contained in a child Text node. Cloning any
other type of node simply returns a copy of this node.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>deep</em>&nbsp;</td><td> If true , recursively clone the
subtree under the specified node; if false ,
clone only the node itself (and its attributes, if it is an
</td></tr> </table></dl>
<p> Element ).
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The duplicate node.
</dd></dl>
</p></div></div><a class="anchor" name="obj175461580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool dispatchEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Event.html">DOM.Event</a>&nbsp;</td>
<td class="paramname"><em>evt</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
This method is from the EventTarget interface
</p>
<p>
This method allows the dispatch of events into the implementations event
model. Events dispatched in this manner will have the same capturing and
bubbling behavior as events dispatched directly by the implementation.
The target of the event is the EventTarget on which dispatchEvent is
called.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>evt</em>&nbsp;</td><td> Specifies the event type, behavior, and contextual
information to be used in processing the event.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The return value of dispatchEvent indicates whether any of the
listeners which handled the event called preventDefault. If
preventDefault was called the value is false, else the value is true.
</dd></dl> </p>
<p>
EventException
UNSPECIFIED_EVENT_TYPE_ERR: Raised if the Event's type was not specified
by initializing the event before dispatchEvent was called. Specification
of the Event's type as null or an empty string will also trigger this
exception.
</p></div></div><a class="anchor" name="obj194602188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long elementId</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
not part of the DOM.
</dd></dl> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the element id, in case this is an element, 0 otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj191932044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> firstChild</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The first child of this node. If there is no such node, this
returns null .
</p></div></div><a class="anchor" name="obj196098380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">, int (_x), int (_y), int (height) getCursor</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>offset</em>, </td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> without substitution since 3.2
</dd></dl>
</p></div></div><a class="anchor" name="obj181777452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qrect.html">QRect</a> getRect</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>not part of the DOM.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the exact coordinates and size of this element.
</dd></dl>
</p></div></div><a class="anchor" name="obj194604748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">NodeImpl handle</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd> handle to the implementation object
</dd></dl>
</p></div></div><a class="anchor" name="obj184858924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasAttributes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns whether this node (if it is an element) has any attributes.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> a boolean. True if this node has any attributes, false otherwise.
Introduced in DOM Level 2
</dd></dl>
</p></div></div><a class="anchor" name="obj195355404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hasChildNodes</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>This is a convenience method to allow easy determination of
whether a node has any children.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the node has any children,
</dd></dl> false if the node has no children.
</p></div></div><a class="anchor" name="obj194602764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long index</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd> returns the index of a node
</dd></dl>
</p></div></div><a class="anchor" name="obj192806156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> insertBefore</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>newChild</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>refChild</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Inserts the node newChild before the existing
child node refChild . If refChild
is null , insert newChild at the
end of the list of children.
</p>
<p>
If newChild is a DocumentFragment
object, all of its children are inserted, in the same
order, before refChild . If the newChild
is already in the tree, it is first removed.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>newChild</em>&nbsp;</td><td> The node to insert.
</td></tr>

<tr><td></td><td valign="top"><em>refChild</em>&nbsp;</td><td> The reference node, i.e., the node before which
the new node must be inserted.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The node being inserted.
</dd></dl> </p>
<p>
DOMException
HIERARCHY_REQUEST_ERR: Raised if this node is of a type that
does not allow children of the type of the newChild
node, or if the node to insert is one of this node's
ancestors.
</p>
<p>
WRONG_DOCUMENT_ERR: Raised if newChild was
created from a different document than the one that created
this node.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
NOT_FOUND_ERR: Raised if refChild is not a
child of this node.
</p></div></div><a class="anchor" name="obj194602476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isNull</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>tests if this Node is 0. Useful especially, if casting to a derived
class:
</p>
<p>
<pre class="fragment">
 Node n = .....;
 // try to convert into an Element:
 Element e = n;
 if( e.isNull() )
   kDebug(300) &lt;&lt; "node isn't an element node";
</pre>
</p></div></div><a class="anchor" name="obj195357644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isSupported</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>feature</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>version</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Tests whether the DOM implementation implements a specific feature and
that feature is supported by this node.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>feature</em>&nbsp;</td><td> The name of the feature to test. This is the same name
which can be passed to the method hasFeature on DOMImplementation.
</td></tr>

<tr><td></td><td valign="top"><em>version</em>&nbsp;</td><td> This is the version number of the feature to test. In
Level 2, version 1, this is the string "2.0". If the version is not
specified, supporting any version of the feature will cause the method
to return true.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> Returns true if the specified feature is supported on this node,
false otherwise.
</dd></dl>
</p></div></div><a class="anchor" name="obj191931244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> lastChild</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The last child of this node. If there is no such node, this
returns null .
</p></div></div><a class="anchor" name="obj184859404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> localName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
Returns the local part of the qualified name of this node.
For nodes of any type other than ELEMENT_NODE and ATTRIBUTE_NODE and
nodes created with a DOM Level 1 method, such as createElement from the
Document interface, this is always null.
</p></div></div><a class="anchor" name="obj184859596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> namespaceURI</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
The namespace URI of this node, or null if it is unspecified.
This is not a computed value that is the result of a namespace lookup
based on an examination of the namespace declarations in scope. It is
merely the namespace URI given at creation time. For nodes of any type
other than ELEMENT_NODE and ATTRIBUTE_NODE and nodes created with a DOM
Level 1 method, such as createElement from the Document interface, this
is always null.
</p>
<p>
Note: Per the Namespaces in XML Specification [Namespaces] an attribute
does not inherit its namespace from the element it is attached to. If an
attribute is not explicitly given a namespace, it simply has no
namespace.
</p></div></div><a class="anchor" name="obj191933516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> nextSibling</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The node immediately following this node. If there is no such
node, this returns null .
</p></div></div><a class="anchor" name="obj197008748"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> nodeName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The name of this node, depending on its type; see the table
above.
</p></div></div><a class="anchor" name="obj185642796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long nodeType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>A code representing the type of the underlying object, as
defined above.
</p></div></div><a class="anchor" name="obj197007980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> nodeValue</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The value of this node, depending on its type; see the table
above.
</p>
<p>
DOMException
DOMSTRING_SIZE_ERR: Raised when it would return more characters
than fit in a DOMString variable on the
implementation platform.
</p></div></div><a class="anchor" name="obj195356460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> normalize</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Modified in DOM Level 2
</p>
<p>
Puts all Text nodes in the full depth of the sub-tree underneath this
Node, including attribute nodes, into a "normal" form where only
structure (e.g., elements, comments, processing instructions, CDATA
sections, and entity references) separates Text nodes, i.e., there are
neither adjacent Text nodes nor empty Text nodes. This can be used to
ensure that the DOM view of a document is the same as if it were saved
and re-loaded, and is useful when operations (such as XPointer
[XPointer] lookups) that depend on a particular document tree structure
are to be used.
</p>
<p>
Note: In cases where the document contains CDATASections, the normalize
operation alone may not be sufficient, since XPointers do not
differentiate between Text nodes and CDATASection nodes.
</p></div></div><a class="anchor" name="obj195319596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool operator !=</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195317964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool operator ==</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191933164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Document.html">DOM.Document</a> ownerDocument</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The Document object associated with this node.
This is also the Document object used to create
new nodes. When this node is a Document this is
null .
</p></div></div><a class="anchor" name="obj185642700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> parentNode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The parent of this node. All nodes, except Document
, DocumentFragment , and Attr
may have a parent. However, if a node has just been
created and not yet added to the tree, or if it has been
removed from the tree, this is null .
</p></div></div><a class="anchor" name="obj184857356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> prefix</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
The namespace prefix of this node, or null if it is unspecified.
Note that setting this attribute, when permitted, changes the nodeName
attribute, which holds the qualified name, as well as the tagName and
name attributes of the Element and Attr interfaces, when applicable.
Note also that changing the prefix of an attribute that is known to have
a default value, does not make a new attribute with the default value
and the original prefix appear, since the namespaceURI and localName do
not change.
For nodes of any type other than ELEMENT_NODE and ATTRIBUTE_NODE and
nodes created with a DOM Level 1 method, such as createElement from the
Document interface, this is always null.
</p></div></div><a class="anchor" name="obj191932172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> previousSibling</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The node immediately preceding this node. If there is no such
node, this returns null .
</p></div></div><a class="anchor" name="obj192805836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> removeChild</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>oldChild</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Removes the child node indicated by oldChild
from the list of children, and returns it.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>oldChild</em>&nbsp;</td><td> The node being removed.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The node removed.
</dd></dl> </p>
<p>
DOMException
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
NOT_FOUND_ERR: Raised if oldChild is not a
child of this node.
</p></div></div><a class="anchor" name="obj175463756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> removeEventListener</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>type</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.EventListener.html">DOM.EventListener</a>&nbsp;</td>
<td class="paramname"><em>listener</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>useCapture</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
This method is from the EventTarget interface
</p>
<p>
This method allows the removal of event listeners from the event target.
If an EventListener is removed from an EventTarget while it is
processing an event, it will not be triggered by the current actions.
</p>
<p>
EventListeners can never be invoked after being removed.
</p>
<p>
Calling removeEventListener with arguments which do not identify any
currently registered EventListener on the EventTarget has no effect.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>type</em>&nbsp;</td><td> Specifies the event type of the EventListener being removed.
</td></tr>

<tr><td></td><td valign="top"><em>listener</em>&nbsp;</td><td> The EventListener parameter indicates the EventListener
to be removed.
</td></tr>

<tr><td></td><td valign="top"><em>useCapture</em>&nbsp;</td><td> Specifies whether the EventListener being removed was
registered as a capturing listener or not. If a listener was registered
twice, one with capture and one without, each must be removed
separately. Removal of a capturing listener does not affect a
non-capturing version of the same listener, and vice versa.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192803116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> replaceChild</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>newChild</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>oldChild</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Replaces the child node oldChild with
newChild in the list of children, and returns the
oldChild node. If the newChild is
already in the tree, it is first removed.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>newChild</em>&nbsp;</td><td> The new node to put in the child list.
</td></tr>

<tr><td></td><td valign="top"><em>oldChild</em>&nbsp;</td><td> The node being replaced in the list.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The node replaced.
</dd></dl> </p>
<p>
DOMException
HIERARCHY_REQUEST_ERR: Raised if this node is of a type that
does not allow children of the type of the newChild
node, or it the node to put in is one of this node's
ancestors.
</p>
<p>
WRONG_DOCUMENT_ERR: Raised if newChild was
created from a different document than the one that created
this node.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
NOT_FOUND_ERR: Raised if oldChild is not a
child of this node.
</p></div></div><a class="anchor" name="obj170932300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setNodeValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>see nodeValue
DOMException
NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
</p></div></div><a class="anchor" name="obj184858764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPrefix</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>prefix</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>see prefix
</p>
<p>
DOMException
INVALID_CHARACTER_ERR: Raised if the specified prefix contains an
illegal character.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
</p>
<p>
NAMESPACE_ERR: Raised if the specified prefix is malformed, if the
namespaceURI of this node is null, if the specified prefix is "xml" and
the namespaceURI of this node is different from
"http://www.w3.org/XML/1998/namespace", if this node is an attribute and
the specified prefix is "xmlns" and the namespaceURI of this node is
different from "http://www.w3.org/2000/xmlns/", or if this node is an
attribute and the qualifiedName of this node is "xmlns" [Namespaces].
</p></div></div><a class="anchor" name="obj194603660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setTextContent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>see textContent()
</p>
<p>
DOMException
NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
</p></div></div><a class="anchor" name="obj194604684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> textContent</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Introduced in DOM Level 2
</p>
<p>
This attribute returns the text content of this node and its
descendants. When it is defined to be null, setting it has no
effect. On setting, any possible children this node may have
are removed and, if it the new string is not empty or null,
replaced by a single Text node containing the string this
attribute is set to.
On getting, no serialization is performed, the returned string
does not contain any markup. No whitespace normalization is
performed and the returned string does not contain the white
spaces in element content (see the attribute
Text.isElementContentWhitespace). Similarly, on setting, no
parsing is performed either, the input string is taken as pure
textual content.
</p></div></div><a class="anchor" name="obj196096172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> toHTML</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj197008972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">NodeType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>An integer indicating which type of node this is.
</p>
<p>
<p>The values of nodeName, nodeValue,
and attributes vary according to the node type as follows:
&lt;table border="1"&gt;
&lt;tr&gt;
&lt;td&gt;&lt;/td&gt;
&lt;td&gt;nodeName&lt;/td&gt;
&lt;td&gt;nodeValue&lt;/td&gt;
&lt;td&gt;attributes&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Element&lt;/td&gt;
&lt;td&gt;tagName&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;NamedNodeMap&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Attr&lt;/td&gt;
&lt;td&gt;name of attribute&lt;/td&gt;
&lt;td&gt;value of attribute&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Text&lt;/td&gt;
&lt;td&gt;#text&lt;/td&gt;
&lt;td&gt;content of the text node&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;CDATASection&lt;/td&gt;
&lt;td&gt;#cdata-section&lt;/td&gt;
&lt;td&gt;content of the CDATA Section&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;EntityReference&lt;/td&gt;
&lt;td&gt;name of entity referenced&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Entity&lt;/td&gt;
&lt;td&gt;entity name&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;ProcessingInstruction&lt;/td&gt;
&lt;td&gt;target&lt;/td&gt;
&lt;td&gt;entire content excluding the target&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Comment&lt;/td&gt;
&lt;td&gt;#comment&lt;/td&gt;
&lt;td&gt;content of the comment&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Document&lt;/td&gt;
&lt;td&gt;#document&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;DocumentType&lt;/td&gt;
&lt;td&gt;document type name&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;DocumentFragment&lt;/td&gt;
&lt;td&gt;#document-fragment&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;tr&gt;
&lt;td&gt;Notation&lt;/td&gt;
&lt;td&gt;notation name&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;td&gt;null&lt;/td&gt;
&lt;/tr&gt;
&lt;/table&gt;
</p>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>ELEMENT_NODE</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>ATTRIBUTE_NODE</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>TEXT_NODE</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>CDATA_SECTION_NODE</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>ENTITY_REFERENCE_NODE</em>&nbsp;=&nbsp;5</td><td><tr><td valign="top"><em>ENTITY_NODE</em>&nbsp;=&nbsp;6</td><td><tr><td valign="top"><em>PROCESSING_INSTRUCTION_NODE</em>&nbsp;=&nbsp;7</td><td><tr><td valign="top"><em>COMMENT_NODE</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>DOCUMENT_NODE</em>&nbsp;=&nbsp;9</td><td><tr><td valign="top"><em>DOCUMENT_TYPE_NODE</em>&nbsp;=&nbsp;10</td><td><tr><td valign="top"><em>DOCUMENT_FRAGMENT_NODE</em>&nbsp;=&nbsp;11</td><td><tr><td valign="top"><em>NOTATION_NODE</em>&nbsp;=&nbsp;12</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
